package xiaoqu.home.open.model.db2;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 列
 * </p>
 *
 * @author mk
 * @since 2022-03-21
 */
@TableName("page_field")
@ApiModel(value="PageField对象", description="列")
public class PageField extends Model<PageField> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "页面id")
    @TableField("web_id")
    private Long webId;

    @ApiModelProperty(value = "字段名称")
    @TableField("cn_name")
    private String cnName;

    @ApiModelProperty(value = "字段映射")
    @TableField("en_name")
    private String enName;

    @ApiModelProperty(value = "类")
    @TableField("class_name")
    private String className;

    @ApiModelProperty(value = "方法")
    @TableField("function_path")
    private String functionPath;

    @ApiModelProperty(value = "字段类型")
    @TableField("type")
    private Integer type;

    @ApiModelProperty(value = "字段状态")
    @TableField("status")
    private Integer status;

    @ApiModelProperty(value = "方法")
    @TableField("function")
    private String function;

    @ApiModelProperty(value = "是否可筛选")
    @TableField("is_select")
    private Integer isSelect;

    @ApiModelProperty(value = "字段参数")
    @TableField("param")
    private String param;

    @ApiModelProperty(value = "数据类型")
    @TableField("field_type")
    private String fieldType;

    @ApiModelProperty(value = "查询列可筛选")
    @TableField("nav_select")
    private Integer navSelect;

    @ApiModelProperty(value = "排序")
    @TableField("order_by")
    private Integer orderBy;

    @ApiModelProperty(value = "页面显示")
    @TableField("is_table_show")
    private Integer isTableShow;

    @ApiModelProperty(value = "是否必选0:非必选;1:必选")
    @TableField("require_state")
    private Integer requireState;

    @ApiModelProperty(value = "宽度")
    @TableField("width")
    private Integer width;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public Long getWebId() {
        return webId;
    }

    public void setWebId(Long webId) {
        this.webId = webId;
    }

    public String getCnName() {
        return cnName;
    }

    public void setCnName(String cnName) {
        this.cnName = cnName;
    }

    public String getEnName() {
        return enName;
    }

    public void setEnName(String enName) {
        this.enName = enName;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getFunctionPath() {
        return functionPath;
    }

    public void setFunctionPath(String functionPath) {
        this.functionPath = functionPath;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getFunction() {
        return function;
    }

    public void setFunction(String function) {
        this.function = function;
    }

    public Integer getIsSelect() {
        return isSelect;
    }

    public void setIsSelect(Integer isSelect) {
        this.isSelect = isSelect;
    }

    public String getParam() {
        return param;
    }

    public void setParam(String param) {
        this.param = param;
    }

    public String getFieldType() {
        return fieldType;
    }

    public void setFieldType(String fieldType) {
        this.fieldType = fieldType;
    }

    public Integer getNavSelect() {
        return navSelect;
    }

    public void setNavSelect(Integer navSelect) {
        this.navSelect = navSelect;
    }

    public Integer getOrderBy() {
        return orderBy;
    }

    public void setOrderBy(Integer orderBy) {
        this.orderBy = orderBy;
    }

    public Integer getIsTableShow() {
        return isTableShow;
    }

    public void setIsTableShow(Integer isTableShow) {
        this.isTableShow = isTableShow;
    }

    public Integer getRequireState() {
        return requireState;
    }

    public void setRequireState(Integer requireState) {
        this.requireState = requireState;
    }

    public Integer getWidth() {
        return width;
    }

    public void setWidth(Integer width) {
        this.width = width;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "PageField{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", webId=" + webId +
        ", cnName=" + cnName +
        ", enName=" + enName +
        ", className=" + className +
        ", functionPath=" + functionPath +
        ", type=" + type +
        ", status=" + status +
        ", function=" + function +
        ", isSelect=" + isSelect +
        ", param=" + param +
        ", fieldType=" + fieldType +
        ", navSelect=" + navSelect +
        ", orderBy=" + orderBy +
        ", isTableShow=" + isTableShow +
        ", requireState=" + requireState +
        ", width=" + width +
        "}";
    }
}
